
Application: gvSIG desktop - gvSIG bugs #2108
Error compiling org.gvsig.desktop
11/12/2013 12:23 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

I've tried to compile gvsig desktop and maven fails on gvSIG Application project:

$ mvn clean install
...
...
[INFO] org.gvsig.desktop.plugin .......................... SUCCESS [0.386s]
[INFO] org.gvsig.app ..................................... SUCCESS [0.307s]
[INFO] gvSIG Application ................................. FAILURE [1:10.550s]
[INFO] org.gvsig.app.document.table.app .................. SKIPPED
...
...
...
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 12:02.922s
[INFO] Finished at: Tue Nov 12 11:57:28 CET 2013
[INFO] Final Memory: 316M/598M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.codehaus.gmaven:gmaven-plugin:1.4:execute (deploy-package) on project
org.gvsig.app.mainplugin: Execution deploy-package of goal org.codehaus.gmaven:gmaven-plugin:1.4:execute failed: An API
incompatibility was encountered while executing org.codehaus.gmaven:gmaven-plugin:1.4:execute:
java.lang.UnsupportedClassVersionError: com/github/sardine/DavResource : Unsupported major.minor version 51.0
[ERROR] -----------------------------------------------------
[ERROR] realm =    plugin>org.codehaus.gmaven:gmaven-plugin:1.4
[ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
[ERROR] urls[0] = file:/home/jmvivo/.m2/repository/org/codehaus/gmaven/gmaven-plugin/1.4/gmaven-plugin-1.4.jar
[ERROR] urls[1] = file:/home/jmvivo/.m2/repository/com/github/lookfirst/sardine/5.0/sardine-5.0.jar
[ERROR] urls[2] = file:/home/jmvivo/.m2/repository/org/apache/httpcomponents/httpclient/4.2.3/httpclient-4.2.3.jar
...
...
...
[ERROR] urls[41] = file:/home/jmvivo/.m2/repository/org/slf4j/slf4j-api/1.5.10/slf4j-api-1.5.10.jar
[ERROR] urls[42] = file:/home/jmvivo/.m2/repository/org/sonatype/gossip/gossip/1.2/gossip-1.2.jar
[ERROR] Number of foreign imports: 1
[ERROR] import: Entry[import  from realm ClassRealm[project>org.gvsig:org.gvsig.desktop:2.0.20-SNAPSHOT, parent:
ClassRealm[maven.api, parent: null]]]
....
....

svn info:

URL: https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop
Raíz del repositorio: https://devel.gvsig.org/svn/gvsig-desktop
UUID del repositorio: e2a10ce1-105c-4f14-853e-4fe7a960f486
Revisión: 40884

mvn --version:

Apache Maven 3.0.3 (r1075438; 2011-02-28 18:31:09+0100)
Maven home: /home/jmvivo/software/java/apache-maven-3.0.3
Java version: 1.6.0_37, vendor: Sun Microsystems Inc.
Java home: /usr/lib/jvm/java-6-sun-1.6.0.37/jre
Default locale: es_ES, platform encoding: UTF-8
OS name: "linux", version: "3.2.0-56-generic", arch: "amd64", family: "unix" 

Also, I tried it with maven 3.0.5 as described on 
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/gvsig-devel-guide/2-1-0/trabajar-con-el-nucleo-de-gvsig/compile_gvsig/i
stalacion-de-maven :

Apache Maven 3.0.5 (r01de14724cdef164cd33c7c8c2fe155faf9602da; 2013-02-19 14:51:28+0100)
Maven home: /home/jmvivo/software/java/apache-maven-3.0.5
Java version: 1.6.0_37, vendor: Sun Microsystems Inc.
Java home: /usr/lib/jvm/java-6-sun-1.6.0.37/jre
Default locale: es_ES, platform encoding: UTF-8
OS name: "linux", version: "3.2.0-56-generic", arch: "amd64", family: "unix" 

And maven 3.1.1:

Apache Maven 3.1.1 (0728685237757ffbf44136acec0402957f723d9a; 2013-09-17 17:22:22+0200)
Maven home: /home/jmvivo/software/java/apache-maven-3.1.1
Java version: 1.6.0_37, vendor: Sun Microsystems Inc.
Java home: /usr/lib/jvm/java-6-sun-1.6.0.37/jre
Default locale: es_ES, platform encoding: UTF-8
OS name: "linux", version: "3.2.0-56-generic", arch: "amd64", family: "unix" 

History
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/gvsig-devel-guide/2-1-0/trabajar-con-el-nucleo-de-gvsig/compile_gvsig/instalacion-de-maven
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/gvsig-devel-guide/2-1-0/trabajar-con-el-nucleo-de-gvsig/compile_gvsig/instalacion-de-maven


#1 - 01/13/2014 11:39 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#2 - 01/13/2014 04:42 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
- Target version set to 2.1.0-2217-devel

El error esta parcialmente subsanado.
Se estaba usando una version de la libreria "com.github.lookfirst:sardine" que estaba compilada para java 1.7 con lo que si no tenias instalado un jdk
1.7 o superior no se podia compilar gvSIG.
He localizado una version de la libreria compilada para java 1.6, y es la que se esta usando actualmente, con lo que si se dispone de un jdk 1.6 o
superior deberia poderse compilar.

Lo de parcialmente es por que antes se pedia un jdk 1.5, con el que ahora mismo ya no se puede compilar gvSIG. He modificado el README.txt
indicando que se requiere un jdk 1.6.

#3 - 01/27/2014 05:00 PM - Álvaro Anguix
- Status changed from Fixed to Closed
